Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.logging
Class W3CAppender

    java.lang.Object
      ch.qos.logback.core.spi.ContextAwareBase
          ch.qos.logback.core.UnsynchronizedAppenderBase<E>
              ch.qos.logback.core.WriterAppender<E>
                  ch.qos.logback.core.FileAppender<ch.qos.logback.classic.spi.LoggingEvent>
                      org.red5.logging.W3CAppender

All Implemented Interfaces:
  ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.LoggingEvent>, ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.FilterAttachable<ch.qos.logback.classic.spi.LoggingEvent>, ch.qos.logback.core.spi.LifeCycle

    public class W3CAppender

extends ch.qos.logback.core.FileAppender<ch.qos.logback.classic.spi.LoggingEvent>

Logback appender for the Extended W3C format.

Author:
  Paul Gregoire (mondain@gmail.com)
See Also:
  "http://www.w3.org/TR/WD-logfile.html"

Field Summary

Fields inherited from class ch.qos.logback.core.FileAppender
`append, bufferedIO, bufferSize, fileName`

Fields inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase
`layout, name, started`

Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase
`context`

Constructor Summary
`W3CAppender()`

Method Summary
`void` | `doAppend(ch.qos.logback.classic.spi.LoggingEvent event)`
`String` | `getEvents()`
`String` | `getFields()`
`void` | `setEvents(String events)`
`void` | `setFields(String fields)`

Methods inherited from class ch.qos.logback.core.FileAppender
`getAppend, getBufferSize, getFile, isAppend, isBufferedIO, isPrudent, openFile, rawFileProperty, setAppend, setBufferedIO, setBufferSize, setFile, setPrudent, start, writerWrite`

Methods inherited from class ch.qos.logback.core.WriterAppender
`append, closeWriter, createWriter, getEncoding, getImmediateFlush, setEncoding, setImmediateFlush, setWriter, stop, subAppend`

Methods inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase
`addFilter, clearAllFilters, getCopyOfAttachedFiltersList, getFilterChainDecision, getFirstFilter, getLayout, getName, isStarted, setLayout, setName, toString`

Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase
`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ch.qos.logback.core.spi.ContextAware
`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

Constructor Detail

### W3CAppender

    public W3CAppender()

Method Detail

### setEvents

    public void setEvents(String events)

### getEvents

    public String getEvents()

### setFields

    public void setFields(String fields)

### getFields

    public String getFields()

### doAppend

    public void doAppend(ch.qos.logback.classic.spi.LoggingEvent event)

  Specified by:
    `doAppend` in interface `ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.LoggingEvent>`
  Overrides:
    `doAppend` in class `ch.qos.logback.core.UnsynchronizedAppenderBase<ch.qos.logback.classic.spi.LoggingEvent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project